﻿<%@ Page Title="Real" Language="VB" MasterPageFile="~/Site.Master" AutoEventWireup="false"
    CodeFile="Operator.aspx.vb" Inherits="OperatorClass" %>

<%@ Register assembly="AjaxControlToolkit" namespace="AjaxControlToolkit" tagprefix="asp" %>

<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>


  
                Machine&nbsp;&nbsp;&nbsp;&nbsp;
    <asp:DropDownList ID="cboMachine" runat="server" 
        DataSourceID="LDS_TopcboMachineData" DataTextField="Maskin" 
        DataValueField="Maskin" AutoPostBack="True" Width="100px">
    </asp:DropDownList>

    <br />
    <asp:ListView ID="ListView2" runat="server" 
        DataSourceID="LDS_TopDataList">
        <AlternatingItemTemplate>
            <tr style="">
                <td align="right">
                    <asp:Label ID="DatumLabel" runat="server" Text='<%# Eval("Datum","{0:d}") %>' />
                </td>
                <td align="right">
                    <asp:Label ID="ArtikelLabel" runat="server" Text='<%# Eval("Artikel") %>' />
                </td>
                <td align="right">
                    <asp:Label ID="MaskinBasLabel" runat="server" Text='<%# Eval("MaskinBas") %>' />
                </td>
                <td align="right">
                    <asp:Label ID="PPBasLabel" runat="server" Text='<%# Eval("PPBas") %>' />
                </td>
                <td align="right">
                    <asp:Label ID="PPBasNuLabel" runat="server" Text='<%# Eval("PPBasNu") %>' />
                </td>
                <td align="right">
                    <asp:Label ID="SUmmaförAntalLabel" runat="server" 
                        Text='<%# Eval("SUmmaförAntal") %>' />
                </td>
                <td align="right">
                    <asp:Label ID="StartatLabel" runat="server" Text='<%# Eval("Startat") %>' />
                </td>
                <td align="right">
                    <asp:Label ID="StartLabel" runat="server" Text='<%# Eval("Start","{0:t}") %>' />
                </td>
                <td align="right">
                    <asp:Label ID="SlutLabel" runat="server" Text='<%# Eval("Slut","{0:t}") %>' />
                </td>
                <td align="right">
                    <asp:Label ID="FFTLabel" runat="server" Text='<%# Eval("FFT","{0:0.0}") %>' />
                </td>
                <td align="right">
                    <asp:Label ID="TaktBasPLabel" runat="server" Text='<%# Eval("TaktBasP") %>' />
                </td>
                <td align="right">
                    <asp:Label ID="TaktBasRLabel" runat="server" Text='<%# Eval("TaktBasR","{0:0.0}") %>' />
                </td>
                <td align="right">
                    <asp:Label ID="TaktBasDLabel" runat="server" Text='<%# Eval("TaktBasD","{0:p}") %>' />
                </td>
            </tr>
        </AlternatingItemTemplate>
        <EditItemTemplate>
            <tr style="">
                <td>
                    <asp:Button ID="UpdateButton" runat="server" CommandName="Update" 
                        Text="Update" />
                    <asp:Button ID="CancelButton" runat="server" CommandName="Cancel" 
                        Text="Cancel" />
                </td>
                <td align="right">
                    <asp:TextBox ID="DatumTextBox" runat="server" Text='<%# Bind("Datum") %>' />
                </td>
                <td align="right">
                    <asp:TextBox ID="ArtikelTextBox" runat="server" Text='<%# Bind("Artikel") %>' />
                </td>
                <td align="right">
                    <asp:TextBox ID="MaskinBasTextBox" runat="server" 
                        Text='<%# Bind("MaskinBas") %>' />
                </td>
                <td align="right">
                    <asp:TextBox ID="PPBasTextBox" runat="server" Text='<%# Bind("PPBas") %>' />
                </td>
                <td align="right">
                    <asp:TextBox ID="PPBasNuTextBox" runat="server" Text='<%# Bind("PPBasNu") %>' />
                </td>
                <td align="right">
                    <asp:TextBox ID="SUmmaförAntalTextBox" runat="server" 
                        Text='<%# Bind("SUmmaförAntal") %>' />
                </td>
                <td align="right">
                    <asp:TextBox ID="StartatTextBox" runat="server" Text='<%# Bind("Startat") %>' />
                </td>
                <td align="right">
                    <asp:TextBox ID="StartTextBox" runat="server" Text='<%# Bind("Start") %>' />
                </td>
                <td align="right">
                    <asp:TextBox ID="SlutTextBox" runat="server" Text='<%# Bind("Slut") %>' />
                </td>
                <td align="right">
                    <asp:TextBox ID="FFTTextBox" runat="server" Text='<%# Bind("FFT") %>' />
                </td>
                <td align="right">
                    <asp:TextBox ID="TaktBasPTextBox" runat="server" 
                        Text='<%# Bind("TaktBasP") %>' />
                </td>
                <td align="right">
                    <asp:TextBox ID="TaktBasRTextBox" runat="server" 
                        Text='<%# Bind("TaktBasR") %>' />
                </td>
                <td align="right">
                    <asp:TextBox ID="TaktBasDTextBox" runat="server" 
                        Text='<%# Bind("TaktBasD") %>' />
                </td>
            </tr>
        </EditItemTemplate>
        <EmptyDataTemplate>
            <table id="Table3" runat="server" 
                style="">
                <tr>
                    <td>
                        No data was returned.</td>
                </tr>
            </table>
        </EmptyDataTemplate>
        <InsertItemTemplate>
            <tr style="">
                <td>
                    <asp:Button ID="InsertButton" runat="server" CommandName="Insert" 
                        Text="Insert" />
                    <asp:Button ID="CancelButton" runat="server" CommandName="Cancel" 
                        Text="Clear" />
                </td>
                <td align="right">
                    <asp:TextBox ID="DatumTextBox" runat="server" Text='<%# Bind("Datum") %>' />
                </td>
                <td align="right">
                    <asp:TextBox ID="ArtikelTextBox" runat="server" Text='<%# Bind("Artikel") %>' />
                </td>
                <td align="right">
                    <asp:TextBox ID="MaskinBasTextBox" runat="server" 
                        Text='<%# Bind("MaskinBas") %>' />
                </td>
                <td align="right">
                    <asp:TextBox ID="PPBasTextBox" runat="server" Text='<%# Bind("PPBas") %>' />
                </td>
                <td align="right">
                    <asp:TextBox ID="PPBasNuTextBox" runat="server" Text='<%# Bind("PPBasNu") %>' />
                </td>
                <td align="right">
                    <asp:TextBox ID="SUmmaförAntalTextBox" runat="server" 
                        Text='<%# Bind("SUmmaförAntal") %>' />
                </td>
                <td align="right">
                    <asp:TextBox ID="StartatTextBox" runat="server" Text='<%# Bind("Startat") %>' />
                </td>
                <td>
                    <asp:TextBox ID="StartTextBox" runat="server" Text='<%# Bind("Start") %>' />
                </td>
                <td align="right">
                    <asp:TextBox ID="SlutTextBox" runat="server" Text='<%# Bind("Slut") %>' />
                </td>
                <td align="right">
                    <asp:TextBox ID="FFTTextBox" runat="server" Text='<%# Bind("FFT") %>' />
                </td>
                <td align="right">
                    <asp:TextBox ID="TaktBasPTextBox" runat="server" 
                        Text='<%# Bind("TaktBasP") %>' />
                </td>
                <td align="right">
                    <asp:TextBox ID="TaktBasRTextBox" runat="server" 
                        Text='<%# Bind("TaktBasR") %>' />
                </td>
                <td align="right">
                    <asp:TextBox ID="TaktBasDTextBox" runat="server" 
                        Text='<%# Bind("TaktBasD") %>' />
                </td>
            </tr>
        </InsertItemTemplate>
        <ItemTemplate>
            <tr style="">
                <td align="right">
                    <asp:Label ID="DatumLabel" runat="server" Text='<%# Eval("Datum","{0:d}") %>' />
                </td>
                <td align="right">
                    <asp:Label ID="ArtikelLabel" runat="server" Text='<%# Eval("Artikel") %>' />
                </td>
                <td align="right">
                    <asp:Label ID="MaskinBasLabel" runat="server" Text='<%# Eval("MaskinBas") %>' />
                </td>
                <td align="right">
                    <asp:Label ID="PPBasLabel" runat="server" Text='<%# Eval("PPBas") %>' />
                </td>
                <td align="right">
                    <asp:Label ID="PPBasNuLabel" runat="server" Text='<%# Eval("PPBasNu") %>' />
                </td>
                <td align="right">
                    <asp:Label ID="SUmmaförAntalLabel" runat="server" 
                        Text='<%# Eval("SUmmaförAntal") %>' />
                </td>
                <td align="right">
                    <asp:Label ID="StartatLabel" runat="server" Text='<%# Eval("Startat") %>' />
                </td>
                <td align="right">
                    <asp:Label ID="StartLabel" runat="server" Text='<%# Eval("Start","{0:t}") %>' />
                </td>
                <td align="right">
                    <asp:Label ID="SlutLabel" runat="server" Text='<%# Eval("Slut","{0:t}") %>' />
                </td>
                <td align="right">
                    <asp:Label ID="FFTLabel" runat="server" Text='<%# Eval("FFT","{0:0.0}") %>' />
                </td>
                <td align="right">
                    <asp:Label ID="TaktBasPLabel" runat="server" Text='<%# Eval("TaktBasP") %>' />
                </td>
                <td align="right">
                    <asp:Label ID="TaktBasRLabel" runat="server" Text='<%# Eval("TaktBasR","{0:0.0}") %>' />
                </td>
                <td align="right">
                    <asp:Label ID="TaktBasDLabel" runat="server" Text='<%# Eval("TaktBasD","{0:p}") %>' />
                </td>
            </tr>
        </ItemTemplate>
        <LayoutTemplate>
            <table id="Table4" runat="server">
                <tr id="Tr4" runat="server">
                    <td id="Td3" runat="server">
                        <table ID="itemPlaceholderContainer" runat="server" border="0" 
                            style="">
                            <tr id="Tr5" runat="server" style="">
                                <th id="Th14" runat="server">
                                    Date</th>
                                <th id="Th15" runat="server">
                                    P/N</th>
                                <th id="Th16" runat="server">
                                    Machine</th>
                                <th id="Th17" runat="server">
                                    Plan</th>
                                <th id="Th18" runat="server">
                                    Qty PNow</th>
                                <th id="Th19" runat="server">
                                    Qty RNow</th>
                                <th id="Th21" runat="server">
                                    Op</th>
                                <th id="Th22" runat="server">
                                    Start</th>
                                <th id="Th24" runat="server">
                                    Finish</th>
                                <th id="Th25" runat="server">
                                    T Used</th>
                                <th id="Th20" runat="server">
                                    Rate P</th>
                                <th id="Th26" runat="server">
                                    Rate R</th>
                                <th id="Th27" runat="server">
                                    Rate D</th>
                            </tr>
                            <tr ID="itemPlaceholder" runat="server">
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
        </LayoutTemplate>
        <SelectedItemTemplate>
            <tr style="">
                <td align="right">
                    <asp:Label ID="DatumLabel" runat="server" Text='<%# Eval("Datum") %>' />
                </td>
                <td align="right">
                    <asp:Label ID="ArtikelLabel" runat="server" Text='<%# Eval("Artikel") %>' />
                </td>
                <td align="right">
                    <asp:Label ID="MaskinBasLabel" runat="server" Text='<%# Eval("MaskinBas") %>' />
                </td>
                <td align="right">
                    <asp:Label ID="PPBasLabel" runat="server" Text='<%# Eval("PPBas") %>' />
                </td>
                <td align="right">
                    <asp:Label ID="PPBasNuLabel" runat="server" Text='<%# Eval("PPBasNu") %>' />
                </td>
                <td align="right">
                    <asp:Label ID="SUmmaförAntalLabel" runat="server" 
                        Text='<%# Eval("SUmmaförAntal") %>' />
                </td>
                <td align="right">
                    <asp:Label ID="TaktBasPLabel" runat="server" Text='<%# Eval("TaktBasP") %>' />
                </td>
                <td align="right">
                    <asp:Label ID="StartatLabel" runat="server" Text='<%# Eval("Startat") %>' />
                </td>
                <td align="right">
                    <asp:Label ID="StartLabel" runat="server" Text='<%# Eval("Start") %>' />
                </td>
                <td>
                    <asp:Label ID="SlutLabel" runat="server" Text='<%# Eval("Slut") %>' />
                </td>
                <td align="right">
                    <asp:Label ID="FFTLabel" runat="server" Text='<%# Eval("FFT") %>' />
                </td>
                <td align="right">
                    <asp:Label ID="TaktBasRLabel" runat="server" Text='<%# Eval("TaktBasR") %>' />
                </td>
                <td align="right">
                    <asp:Label ID="TaktBasDLabel" runat="server" Text='<%# Eval("TaktBasD") %>' />
                </td>
            </tr>
        </SelectedItemTemplate>
    </asp:ListView>



<asp:TabContainer ID="TabContainer1" runat="server" ActiveTabIndex="0">
    <asp:TabPanel  ID="TabPanel1" runat="server" HeaderText="Production">
        <ContentTemplate>
            <asp:ListView ID="ListView4" runat="server" DataSourceID="LDS_ProductionData">
                <AlternatingItemTemplate>
                    <tr style="background-color:#FFF8DC;">
                    <td><asp:Label ID="DatumLabel" runat="server" Text='<%# Eval("Datum","{0:d}") %>' /></td>
                    <td><asp:Label ID="MaskinLabel" runat="server" Text='<%# Eval("Maskin") %>' /></td>
                    <td><asp:Label ID="ArtNrLabel" runat="server" Text='<%# Eval("ArtNr") %>' /></td>
                    <td><asp:Label ID="TOLabel" runat="server" Text='<%# Eval("TO") %>' /></td>
                    <td align="right"><asp:Label ID="AntalLabel" runat="server" Text='<%# Eval("Antal") %>' /></td>
                    <td><asp:Label ID="SignLabel" runat="server" Text='<%# Eval("Sign") %>' /></td>
                    </tr>
                </AlternatingItemTemplate>
                <EditItemTemplate>
                    <tr style="background-color:#008A8C;color: #FFFFFF;">
                    <td><asp:Button ID="UpdateButton" runat="server" CommandName="Update" Text="Update" /><asp:Button ID="CancelButton" runat="server" CommandName="Cancel" Text="Cancel" /></td>
                    <td><asp:TextBox ID="DatumTextBox" runat="server" Text='<%# Bind("Datum") %>' /></td>
                    <td><asp:TextBox ID="MaskinTextBox" runat="server" Text='<%# Bind("Maskin") %>' /></td>
                    <td><asp:TextBox ID="ArtNrTextBox" runat="server" Text='<%# Bind("ArtNr") %>' /></td>
                    <td><asp:TextBox ID="TOTextBox" runat="server" Text='<%# Bind("TO") %>' /></td>
                    <td align="right"><asp:TextBox ID="AntalTextBox" runat="server" Text='<%# Bind("Antal") %>' /></td>
                    <td><asp:TextBox ID="SignTextBox" runat="server" Text='<%# Bind("Sign") %>' /></td>
                    </tr>
                </EditItemTemplate>
                <EmptyDataTemplate><table runat="server"                
                    style="background-color: #FFFFFF;border-collapse: collapse;border-color: #999999;border-style:none;border-width:1px;"><tr>
                    <td>No data was returned.</td></tr></table>
                </EmptyDataTemplate>
                <InsertItemTemplate>
                    <tr style="">
                    <td><asp:Button ID="InsertButton" runat="server" CommandName="Insert" Text="Insert" /><asp:Button ID="CancelButton" runat="server" CommandName="Cancel" Text="Clear" /></td>
                    <td><asp:TextBox ID="DatumTextBox" runat="server" Text='<%# Bind("Datum") %>' /></td>
                    <td><asp:TextBox ID="MaskinTextBox" runat="server" Text='<%# Bind("Maskin") %>' /></td>
                    <td><asp:TextBox ID="ArtNrTextBox" runat="server" Text='<%# Bind("ArtNr") %>' /></td>
                    <td><asp:TextBox ID="TOTextBox" runat="server" Text='<%# Bind("TO") %>' /></td>
                    <td align="right"><asp:TextBox ID="AntalTextBox" runat="server" Text='<%# Bind("Antal") %>' /></td>
                    <td><asp:TextBox ID="SignTextBox" runat="server" Text='<%# Bind("Sign") %>' /></td>
                    </tr>
                </InsertItemTemplate>
                <ItemTemplate>
                    <tr style="background-color:#DCDCDC;color: #000000;">
                    <td><asp:Label ID="DatumLabel" runat="server" Text='<%# Eval("Datum","{0:d}") %>' /></td>
                    <td><asp:Label ID="MaskinLabel" runat="server" Text='<%# Eval("Maskin") %>' /></td>
                    <td><asp:Label ID="ArtNrLabel" runat="server" Text='<%# Eval("ArtNr") %>' /></td>
                    <td><asp:Label ID="TOLabel" runat="server" Text='<%# Eval("TO") %>' /></td>
                    <td align="right"><asp:Label ID="AntalLabel" runat="server" Text='<%# Eval("Antal") %>' /></td>
                    <td><asp:Label ID="SignLabel" runat="server" Text='<%# Eval("Sign") %>' /></td>
                    </tr>
                </ItemTemplate>
                <LayoutTemplate>
                    <table runat="server">
                    <tr runat="server">
                    <td runat="server">
                    <table ID="itemPlaceholderContainer" runat="server" border="1" 
                    style="background-color: #FFFFFF;border-collapse: collapse;border-color: #999999;border-style:none;border-width:1px;font-family: Verdana, Arial, Helvetica, sans-serif;">
                    <tr runat="server" style="background-color:#DCDCDC;color: #000000;">
                    <th runat="server" width="90px">Date</th>
                    <th runat="server" width="90px">Machine</th>
                    <th runat="server" width="70px">P/N</th>
                    <th id="Th28" runat="server" width="70px">WO</th>
                    <th runat="server" width="70px">Qty</th>
                    <th runat="server" width="70px">Sign</th>
                    </tr>
                    <tr ID="itemPlaceholder" runat="server">
                    </tr>
                    </table>
                    </td>
                    </tr>
                    <tr runat="server">
                        <td runat="server" style="text-align: center;background-color: #CCCCCC;font-family: Verdana, Arial, Helvetica, sans-serif;color: #000000;">
                        <asp:DataPager ID="DataPager1"  PageSize= "20" runat="server">
                            <Fields>
                                <asp:NextPreviousPagerField ButtonType="Button" ShowFirstPageButton="True" ShowLastPageButton="True"/>
                            </Fields>
                        </asp:DataPager>
                        </td>
                    </tr>
                    </table>
                 </LayoutTemplate>
                                    
                 <SelectedItemTemplate><tr style="background-color:#008A8C;font-weight: bold;color: #FFFFFF;">
                    <td><asp:Label ID="DatumLabel" runat="server" Text='<%# Eval("Datum","{0:d}") %>' /></td>
                    <td><asp:Label ID="MaskinLabel" runat="server" Text='<%# Eval("Maskin") %>' /></td>
                    <td><asp:Label ID="ArtNrLabel" runat="server" Text='<%# Eval("ArtNr") %>' /></td>
                    <td><asp:Label ID="TOLabel" runat="server" Text='<%# Eval("TO") %>' /></td>
                    <td align="right"><asp:Label ID="AntalLabel" runat="server" Text='<%# Eval("Antal") %>' /></td>
                    <td><asp:Label ID="SignLabel" runat="server" Text='<%# Eval("Sign") %>' /></td>
                    </tr>
                 </SelectedItemTemplate>
            </asp:ListView>
            <table>
                <tr>
                <td>Date</td>
                <td>Machine</td>
                <td>P/N</td>
                <td>WO</td>
                <td>Qty</td>
                <td>Sign</td>
                <td></td>
                </tr>
                <tr>
                <td valign="bottom"><asp:TextBox ID="txtProductionDate" runat="server" Width ="70px"></asp:TextBox></td>
                <td valign="bottom"><asp:TextBox ID="txtProductionMachine" runat="server" Width ="70px"></asp:TextBox></td>
                <td valign="bottom"><asp:DropDownList ID="cboProductionPartNumber" runat="server" DataSourceID="LDS_Production_PartNumber" 
                DataTextField="Artikel" DataValueField="Artikel" AutoPostBack="True" Width ="110px"  AppendDataBoundItems="true">
                 <asp:ListItem Value=""></asp:ListItem>
                </asp:DropDownList></td>
                <td valign="bottom"><asp:DropDownList ID="cboProductionTO" runat="server" DataSourceID="LDS_Production_TO" 
                Width ="70px" DataTextField="TONr" DataValueField="TONr"  AppendDataBoundItems="true">
                 <asp:ListItem Value=""></asp:ListItem>
                </asp:DropDownList></td>
                <td valign="bottom"><asp:combobox ID="cboProductionQuantity" runat="server" Width ="70px" ItemInsertLocation="Append">
                    <asp:ListItem></asp:ListItem>
                    <asp:ListItem>20</asp:ListItem>
                    <asp:ListItem>30</asp:ListItem>
                    <asp:ListItem>40</asp:ListItem>
                    <asp:ListItem>50</asp:ListItem>
                    <asp:ListItem>100</asp:ListItem>
                    <asp:ListItem>200</asp:ListItem>
                    <asp:ListItem>300</asp:ListItem>
                    <asp:ListItem>400</asp:ListItem>
                    <asp:ListItem>500</asp:ListItem>
                </asp:combobox></td>
                <td valign="bottom"><asp:DropDownList ID="cboProductionTSign" runat="server" DataSourceID="LDS_Production_TSign" 
                Width ="70px" DataTextField="Signatur" DataValueField="Signatur"  AppendDataBoundItems="true">
                 <asp:ListItem Value=""></asp:ListItem>
                </asp:DropDownList></td>
                <td><asp:Button ID="cmdSaveProduction" runat="server" Text="Save" /></td>
                </tr>
            </table>
        
        <asp:LinqDataSource ID="LDS_Production_PartNumber" runat="server" ContextTypeName="ONTOPDataContext" EntityTypeName="" 
                    Select="new (Artikel)" TableName="QPMs" Where="Maskin == @Maskin">
                    <WhereParameters>
                        <asp:ControlParameter ControlID="txtProductionMachine" DefaultValue="0" Name="Maskin" PropertyName="Text" Type="String" />
                    </WhereParameters>
        </asp:LinqDataSource>
        <asp:LinqDataSource ID="LDS_Production_TO" runat="server" ContextTypeName="ONTOPDataContext" EntityTypeName="" Select="new (TONr)" TableName="QTORestDOBatchDatums" 
                Where="TORest &gt; @TORest &amp;&amp; Artikel == @Artikel">
                <WhereParameters>
                    <asp:Parameter DefaultValue="0" Name="TORest" Type="Int32" />
                    <asp:ControlParameter ControlID="cboProductionPartNumber" DefaultValue="0" Name="Artikel" PropertyName="SelectedValue" Type="String" />
                </WhereParameters>
        </asp:LinqDataSource>
        <asp:LinqDataSource ID="LDS_Production_TSign" runat="server" ContextTypeName="ONTOPDataContext" EntityTypeName="" Select="new (Signatur)" TableName="TSign_vws">
        </asp:LinqDataSource>
    </ContentTemplate>
</asp:TabPanel>

<asp:TabPanel ID="TabPanel2" runat="server" HeaderText="Scrap">
    <ContentTemplate>
        <asp:ListView ID="ListView5" runat="server" DataSourceID="LDS_ScrapData">
            <AlternatingItemTemplate>
                <tr style="background-color:#FFF8DC;">
                <td><asp:Label ID="DatumLabel" runat="server" Text='<%# Eval("Datum","{0:d}") %>' /></td>
                <td><asp:Label ID="MaskinLabel" runat="server" Text='<%# Eval("Maskin") %>' /></td>
                <td><asp:Label ID="ArtikelLabel" runat="server" Text='<%# Eval("Artikel") %>' /></td>
                <td><asp:Label ID="TOLabel" runat="server" Text='<%# Eval("TO") %>' /></td>
                <td align="right"><asp:Label ID="AntalLabel" runat="server" Text='<%# Eval("Antal") %>' /></td>
                <td><asp:Label ID="KassationskodLabel" runat="server" Text='<%# Eval("Kassationskod") %>' /></td>
                <td><asp:Label ID="SignLabel" runat="server" Text='<%# Eval("Sign") %>' /></td>
                </tr>
            </AlternatingItemTemplate>
            <EditItemTemplate>
                <tr style="background-color:#008A8C;color: #FFFFFF;"><td>
                <asp:Button ID="UpdateButton" runat="server" CommandName="Update" Text="Update" /><asp:Button ID="CancelButton" runat="server" CommandName="Cancel" Text="Cancel" /></td>
                <td><asp:TextBox ID="DatumTextBox" runat="server" Text='<%# Bind("Datum") %>' /></td>
                <td><asp:TextBox ID="MaskinTextBox" runat="server" Text='<%# Bind("Maskin") %>' /></td>
                <td><asp:TextBox ID="ArtikelTextBox" runat="server" Text='<%# Bind("Artikel") %>' /></td>
                <td><asp:TextBox ID="TOTextBox" runat="server" Text='<%# Bind("TO") %>' /></td>
                <td align="right"><asp:TextBox ID="AntalTextBox" runat="server" Text='<%# Bind("Antal") %>' /></td>
                <td><asp:TextBox ID="KassationskodTextBox" runat="server" Text='<%# Bind("Kassationskod") %>' /></td>
                <td><asp:TextBox ID="SignTextBox" runat="server" Text='<%# Bind("Sign") %>' /></td>
                </tr>
            </EditItemTemplate>
            <EmptyDataTemplate><table id="Table1" runat="server" 
                style="background-color: #FFFFFF;border-collapse: collapse;border-color: #999999;border-style:none;border-width:1px;"><tr><td>No data was returned.</td></tr></table>
            </EmptyDataTemplate>
            <InsertItemTemplate>
                <tr style="">
                <td><asp:Button ID="InsertButton" runat="server" CommandName="Insert" Text="Insert" />
                <asp:Button ID="CancelButton" runat="server" CommandName="Cancel" Text="Clear" /></td>
                <td><asp:TextBox ID="DatumTextBox" runat="server" Text='<%# Bind("Datum") %>' /></td>
                <td><asp:TextBox ID="MaskinTextBox" runat="server" Text='<%# Bind("Maskin") %>' /></td>
                <td><asp:TextBox ID="ArtikelTextBox" runat="server" Text='<%# Bind("Artikel") %>' /></td>
                <td><asp:TextBox ID="TOTextBox" runat="server" Text='<%# Bind("TO") %>' /></td>
                <td align="right"><asp:TextBox ID="AntalTextBox" runat="server" Text='<%# Bind("Antal") %>' /></td>
                <td><asp:TextBox ID="KassationskodTextBox" runat="server" Text='<%# Bind("Kassationskod") %>' /></td>
                <td><asp:TextBox ID="SignTextBox" runat="server" Text='<%# Bind("Sign") %>' /></td>
                </tr>
            </InsertItemTemplate>
            <ItemTemplate>
                <tr style="background-color:#DCDCDC;color: #000000;">
                <td><asp:Label ID="DatumLabel" runat="server" Text='<%# Eval("Datum","{0:d}") %>' /></td>
                <td><asp:Label ID="MaskinLabel" runat="server" Text='<%# Eval("Maskin") %>' /></td>
                <td><asp:Label ID="ArtikelLabel" runat="server" Text='<%# Eval("Artikel") %>' /></td>
                <td><asp:Label ID="TOLabel" runat="server" Text='<%# Eval("TO") %>' /></td>
                <td align="right"><asp:Label ID="AntalLabel" runat="server" Text='<%# Eval("Antal") %>' /></td>
                <td><asp:Label ID="KassationskodLabel" runat="server" Text='<%# Eval("Kassationskod") %>' /></td>
                <td><asp:Label ID="SignLabel" runat="server" Text='<%# Eval("Sign") %>' /></td>
                </tr>
            </ItemTemplate>
            <LayoutTemplate>
                <table id="Table2" runat="server">
                <tr id="Tr1" runat="server">
                <td id="Td1" runat="server">
                        <table ID="itemPlaceholderContainer" runat="server" border="1" 
                            style="background-color: #FFFFFF;border-collapse: collapse;border-color: #999999;border-style:none;border-width:1px;font-family: Verdana, Arial, Helvetica, sans-serif;">
                            <tr id="Tr2" runat="server" style="background-color:#DCDCDC;color: #000000;">
                            <th id="Th1" runat="server" width="90px">Date</th>
                            <th id="Th2" runat="server" width="90px">Machine</th>
                            <th id="Th3" runat="server" width="70px">P/N</th>
                            <th id="Th4" runat="server" width="70px">WO</th>
                            <th id="Th5" runat="server" width="70px">Qty</th>
                            <th id="Th6" runat="server" width="110px">Scrap Code</th>
                            <th id="Th7" runat="server" width="70px">Sign</th>
                            </tr>
                            <tr ID="itemPlaceholder" runat="server">
                            </tr>
                        </table>
                        </td>
                        </tr>
                        <tr id="Tr3" runat="server">
                        <td id="Td2" runat="server" 
                        style="text-align: center;background-color: #CCCCCC;font-family: Verdana, Arial, Helvetica, sans-serif;color: #000000;">
                        <asp:DataPager ID="DataPager1" PageSize= "20" runat="server">
                            <Fields>
                                <asp:NextPreviousPagerField ButtonType="Button" ShowFirstPageButton="True" ShowLastPageButton="True" />
                            </Fields>
                        </asp:DataPager>
                        </td>
                        </tr>
                 </table>
            </LayoutTemplate>
            <SelectedItemTemplate>
                <tr style="background-color:#008A8C;font-weight: bold;color: #FFFFFF;">
                <td><asp:Label ID="DatumLabel" runat="server" Text='<%# Eval("Datum","{0:d}") %>' /></td>
                <td><asp:Label ID="MaskinLabel" runat="server" Text='<%# Eval("Maskin") %>' /></td>
                <td><asp:Label ID="ArtikelLabel" runat="server" Text='<%# Eval("Artikel") %>' /></td>
                <td><asp:Label ID="TOLabel" runat="server" Text='<%# Eval("TO") %>' /></td>
                <td align="right"><asp:Label ID="AntalLabel" runat="server" Text='<%# Eval("Antal") %>' /></td>
                <td><asp:Label ID="KassationskodLabel" runat="server" Text='<%# Eval("Kassationskod") %>' /></td>
                <td><asp:Label ID="SignLabel" runat="server" Text='<%# Eval("Sign") %>' /></td>
                </tr>
            </SelectedItemTemplate>
        </asp:ListView>
            <table>
                <tr>
                <td>Date</td>
                <td>Machine</td>
                <td>P/N</td>
                <td>WO</td>
                <td>Qty</td>
                <td>Scrap Code</td>
                <td>Sign</td>
                <td></td>
                </tr>
                <tr>
                <td valign="bottom"><asp:TextBox ID="txtScrapDate" runat="server" Width ="70px"></asp:TextBox></td>
                <td valign="bottom"><asp:TextBox ID="txtScrapMachine" runat="server" Width ="70px"></asp:TextBox></td>
                <td valign="bottom"><asp:DropDownList ID="cboScrapPartNumber" runat="server" DataSourceID="LDS_Scrap_PartNumber" 
                DataTextField="Artikel" DataValueField="Artikel" AutoPostBack="True" Width ="110px" AppendDataBoundItems="true">
                 <asp:ListItem Value=""></asp:ListItem>
                </asp:DropDownList></td>
                <td valign="bottom"><asp:DropDownList ID="cboScrapTO" runat="server" DataSourceID="LDS_Scrap_TO" Width ="70px" 
                DataTextField="TONr" DataValueField="TONr" AppendDataBoundItems="true">
                 <asp:ListItem Value=""></asp:ListItem>
                </asp:DropDownList></td>
                <td valign="bottom"><asp:combobox ID="cboScrapQuantity" runat="server" Width ="70px" ItemInsertLocation="Append">
                    <asp:ListItem></asp:ListItem>
                    <asp:ListItem>20</asp:ListItem>
                    <asp:ListItem>30</asp:ListItem>
                    <asp:ListItem>40</asp:ListItem>
                    <asp:ListItem>50</asp:ListItem>
                    <asp:ListItem>100</asp:ListItem>
                    <asp:ListItem>200</asp:ListItem>
                    <asp:ListItem>300</asp:ListItem>
                    <asp:ListItem>400</asp:ListItem>
                    <asp:ListItem>500</asp:ListItem>
                </asp:combobox></td>
                <td valign="bottom"><asp:DropDownList ID="cboScrapScrapCode" runat="server" DataSourceID="LDS_Scrap_ScrapCode" 
                Width ="90px" DataTextField="KKod" DataValueField="KKod" AppendDataBoundItems="true">
                 <asp:ListItem Value=""></asp:ListItem>
                </asp:DropDownList></td>
                <td valign="bottom"><asp:DropDownList ID="cboScrapTSign" runat="server" DataSourceID="LDS_Scrap_TSign" 
                Width ="70px" DataTextField="Signatur" DataValueField="Signatur" AppendDataBoundItems="true">
                 <asp:ListItem Value=""></asp:ListItem>
                </asp:DropDownList></td>
                <td><asp:Button ID="cmdSaveScrap" runat="server" Text="Save" /></td>
                </tr>
            </table>
        
        <asp:LinqDataSource ID="LDS_Scrap_PartNumber" runat="server" ContextTypeName="ONTOPDataContext" EntityTypeName="" 
                    Select="new (Artikel)" TableName="QPMs" Where="Maskin == @Maskin">
                    <WhereParameters>
                        <asp:ControlParameter ControlID="txtScrapMachine" DefaultValue="0" Name="Maskin" PropertyName="Text" Type="String" />
                    </WhereParameters>
        </asp:LinqDataSource>
        <asp:LinqDataSource ID="LDS_Scrap_TO" runat="server" ContextTypeName="ONTOPDataContext" EntityTypeName="" Select="new (TONr)" TableName="QTORestDOBatchDatums" 
                Where="TORest &gt; @TORest &amp;&amp; Artikel == @Artikel">
                <WhereParameters>
                    <asp:Parameter DefaultValue="0" Name="TORest" Type="Int32" />
                    <asp:ControlParameter ControlID="cboScrapPartNumber" DefaultValue="0" Name="Artikel" PropertyName="SelectedValue" Type="String" />
                </WhereParameters>
        </asp:LinqDataSource>
        <asp:LinqDataSource ID="LDS_Scrap_TSign" runat="server" ContextTypeName="ONTOPDataContext" EntityTypeName="" Select="new (Signatur)" TableName="TSign_vws">
        </asp:LinqDataSource>
        <asp:LinqDataSource ID="LDS_Scrap_ScrapCode" runat="server" ContextTypeName="ONTOPDataContext" EntityTypeName="" Select="new (KKod)" TableName="TKKoderEx_vws">
        </asp:LinqDataSource>
    </ContentTemplate>
</asp:TabPanel>

<asp:TabPanel ID="TabPanel3" runat="server" HeaderText="Stops">
    <ContentTemplate>
        <asp:ListView ID="ListView6" runat="server" DataSourceID="LDS_StopsData">
            <AlternatingItemTemplate>
                <tr style="background-color:#FFF8DC;">
                <td><asp:Label ID="DatumLabel" runat="server" Text='<%# Eval("Datum","{0:d}") %>' /></td>
                <td><asp:Label ID="MaskinLabel" runat="server" Text='<%# Eval("Maskin") %>' /></td>
                <td><asp:Label ID="MStoppLabel" runat="server" Text='<%# Eval("MStopp","{0:t}") %>' /></td>
                <td><asp:Label ID="MStartLabel" runat="server" Text='<%# Eval("MStart","{0:t}") %>' /></td>
                <td><asp:Label ID="KodLabel" runat="server" Text='<%# Eval("Kod") %>' /></td>
                <td><asp:Label ID="KommentarLabel" runat="server" Text='<%# Eval("Kommentar") %>' /></td>
                <td><asp:Label ID="SignLabel" runat="server" Text='<%# Eval("Sign") %>' /></td>
                </tr>
            </AlternatingItemTemplate>
            <EditItemTemplate>
                <tr style="background-color:#008A8C;color: #FFFFFF;">
                <td><asp:Button ID="UpdateButton" runat="server" CommandName="Update" Text="Update" />
                <asp:Button ID="CancelButton" runat="server" CommandName="Cancel" Text="Cancel" /></td>
                <td><asp:TextBox ID="DatumTextBox" runat="server" Text='<%# Eval("Datum","{0:d}") %>' /></td>
                <td><asp:TextBox ID="MaskinTextBox" runat="server" Text='<%# Bind("Maskin") %>' /></td>
                <td><asp:TextBox ID="MStoppTextBox" runat="server" Text='<%# Bind("MStopp") %>' /></td>
                <td><asp:TextBox ID="MStartTextBox" runat="server" Text='<%# Bind("MStart") %>' /></td>
                <td><asp:TextBox ID="KodTextBox" runat="server" Text='<%# Bind("Kod") %>' /></td>
                <td><asp:TextBox ID="KommentarTextBox" runat="server" Text='<%# Bind("Kommentar") %>' /></td>
                <td><asp:TextBox ID="SignTextBox" runat="server" Text='<%# Bind("Sign") %>' /></td>
                </tr>
            </EditItemTemplate>
            <EmptyDataTemplate><table id="Table5" runat="server" 
                style="background-color: #FFFFFF;border-collapse: collapse;border-color: #999999;border-style:none;border-width:1px;"><tr><td>No data was returned.</td></tr></table>
            </EmptyDataTemplate>
            <InsertItemTemplate>
                <tr style="">
                <td><asp:Button ID="InsertButton" runat="server" CommandName="Insert" Text="Insert" />
                <asp:Button ID="CancelButton" runat="server" CommandName="Cancel" Text="Clear" /></td>
                <td><asp:TextBox ID="DatumTextBox" runat="server" Text='<%# Eval("Datum","{0:d}") %>' /></td>
                <td><asp:TextBox ID="MaskinTextBox" runat="server" Text='<%# Bind("Maskin") %>' /></td>
                <td><asp:TextBox ID="MStoppTextBox" runat="server" Text='<%# Eval("MStopp","{0:t}") %>' /></td>
                <td><asp:TextBox ID="MStartTextBox" runat="server" Text='<%# Eval("MStart","{0:t}") %>' /></td>
                <td><asp:TextBox ID="KodTextBox" runat="server" Text='<%# Bind("Kod") %>' /></td>
                <td><asp:TextBox ID="KommentarTextBox" runat="server" Text='<%# Bind("Kommentar") %>' /></td>
                <td><asp:TextBox ID="SignTextBox" runat="server" Text='<%# Bind("Sign") %>' /></td>
                </tr>
            </InsertItemTemplate>
            <ItemTemplate>
                <tr style="background-color:#DCDCDC;color: #000000;">
                <td><asp:Label ID="DatumLabel" runat="server" Text='<%# Eval("Datum","{0:d}") %>' /></td>
                <td><asp:Label ID="MaskinLabel" runat="server" Text='<%# Eval("Maskin") %>' /></td>
                <td><asp:Label ID="MStoppLabel" runat="server" Text='<%# Eval("MStopp","{0:t}") %>' /></td>
                <td><asp:Label ID="MStartLabel" runat="server" Text='<%# Eval("MStart","{0:t}") %>' /></td>
                <td><asp:Label ID="KodLabel" runat="server" Text='<%# Eval("Kod") %>' /></td>
                <td><asp:Label ID="KommentarLabel" runat="server" Text='<%# Eval("Kommentar") %>' /></td>
                <td><asp:Label ID="SignLabel" runat="server" Text='<%# Eval("Sign") %>' /></td>
                </tr>
            </ItemTemplate>
            <LayoutTemplate>
            <table id="Table6" runat="server">
            <tr id="Tr7" runat="server">
            <td id="Td5" runat="server">
                <table ID="itemPlaceholderContainer" runat="server" border="1" 
                style="background-color: #FFFFFF;border-collapse: collapse;border-color: #999999;border-style:none;border-width:1px;font-family: Verdana, Arial, Helvetica, sans-serif;">
                <tr id="Tr8" runat="server" style="background-color:#DCDCDC;color: #000000;">
                <th id="Th8" runat="server" width="90px">Date</th>
                <th id="Th9" runat="server" width="90px">Machine</th>
                <th id="Th10" runat="server" width="70px">Stop</th>
                <th id="Th11" runat="server" width="70px">Start</th>
                <th id="Th12" runat="server" width="140px">Code</th>
                <th id="Th13" runat="server" width="220px">Comments</th>
                <th id="Th23" runat="server" width="70px">Sign</th></tr>
                <tr ID="itemPlaceholder" runat="server">
                </tr>
                </table>
            </td>
            </tr>
            <tr id="Tr9" runat="server">
            <td id="Td6" runat="server" style="text-align: center;background-color: #CCCCCC;font-family: Verdana, Arial, Helvetica, sans-serif;color: #000000;">
                <asp:DataPager ID="DataPager1" PageSize= "20" runat="server">
                    <Fields><asp:NextPreviousPagerField ButtonType="Button" ShowFirstPageButton="True" 
                        ShowLastPageButton="True" />
                    </Fields>
                </asp:DataPager>
            </td>
            </tr>
            </table>
            </LayoutTemplate>
            <SelectedItemTemplate>
                <tr style="background-color:#008A8C;font-weight: bold;color: #FFFFFF;">
                <td><asp:Label ID="DatumLabel" runat="server" Text='<%# Eval("Datum","{0:d}") %>' /></td>
                <td><asp:Label ID="MaskinLabel" runat="server" Text='<%# Eval("Maskin") %>' /></td>
                <td><asp:Label ID="MStoppLabel" runat="server" Text='<%# Eval("MStopp","{0:t}") %>' /></td>
                <td><asp:Label ID="MStartLabel" runat="server" Text='<%# Eval("MStart","{0:t}") %>' /></td>
                <td><asp:Label ID="KodLabel" runat="server" Text='<%# Eval("Kod") %>' /></td>
                <td><asp:Label ID="KommentarLabel" runat="server" Text='<%# Eval("Kommentar") %>' /></td>
                <td><asp:Label ID="SignLabel" runat="server" Text='<%# Eval("Sign") %>' /></td>
                </tr>
            </SelectedItemTemplate>
        </asp:ListView>
            <table>
                <tr>
                <td>Date</td>
                <td>Machine</td>
                <td>Stop</td>
                <td>Start</td>
                <td>Code</td>
                <td>Comments</td>
                <td>Sign</td>
                <td></td>
                </tr>
                <tr>
                <td><asp:TextBox ID="txtStopsDate" runat="server" Width ="70px"></asp:TextBox></td>
                <td><asp:TextBox ID="txtStopsMachine" runat="server" Width ="70px"></asp:TextBox></td>
                <td><asp:TextBox ID="txtStopsStop" runat="server" Width ="70px"></asp:TextBox></td>
                    <asp:MaskedEditExtender ID="ME_txtStopsStop" runat="server"
                        TargetControlID="txtStopsStop" 
                        Mask="99:99"
                        MessageValidatorTip="true" 
                        OnFocusCssClass="MaskedEditFocus" 
                        OnInvalidCssClass="MaskedEditError"
                        MaskType="Time" 
                        AutoComplete="True"
                        InputDirection="RightToLeft" 
                        ErrorTooltipEnabled="True"/>
                <td><asp:TextBox ID="txtStopsStart" runat="server" Width ="70px"></asp:TextBox></td>
                    <asp:MaskedEditExtender ID="ME_txtStopsStart" runat="server"
                        TargetControlID="txtStopsStart" 
                        Mask="99:99"
                        MessageValidatorTip="true" 
                        OnFocusCssClass="MaskedEditFocus" 
                        OnInvalidCssClass="MaskedEditError"
                        MaskType="Time" 
                        AutoComplete="True"
                        InputDirection="RightToLeft" 
                        ErrorTooltipEnabled="True"/>
                <td><asp:DropDownList ID="cboStopsCode" runat="server" DataSourceID="LDS_Stops_Code" 
                Width ="140px" DataTextField="Beskrivning" DataValueField="Kod" AppendDataBoundItems="true">
                 <asp:ListItem Value=""></asp:ListItem>
                </asp:DropDownList></td>
                <td><asp:TextBox ID="txtStopsComments" runat="server" Width ="220px"></asp:TextBox></td>
                <td><asp:DropDownList ID="cboStopsTSign" runat="server" DataSourceID="LDS_Stops_TSign" 
                Width ="70px" DataTextField="Signatur" DataValueField="Signatur" AppendDataBoundItems="true">
                 <asp:ListItem Value=""></asp:ListItem>
                </asp:DropDownList></td>
                <td><asp:Button ID="cmdSaveStops" runat="server" Text="Save" /></td>
                </tr>
            </table>
        
        <asp:LinqDataSource ID="LDS_Stops_TSign" runat="server" ContextTypeName="ONTOPDataContext" EntityTypeName="" Select="new (Signatur)" TableName="TSign_vws">
        </asp:LinqDataSource>
        <asp:LinqDataSource ID="LDS_Stops_Code" runat="server" ContextTypeName="ONTOPDataContext" EntityTypeName="" Select="new (Kod, Beskrivning)" TableName="TMSKoder_vws">
        </asp:LinqDataSource>
        </ContentTemplate>
    </asp:TabPanel>
</asp:TabContainer>

    <asp:LinqDataSource ID="LDS_ScrapData" runat="server" 
        ContextTypeName="ONTOPDataContext" EntityTypeName="" 
        Select="new (Datum, Maskin, Artikel, TO, Antal, Kassationskod, Sign)" 
        TableName="WEB_TKIn_vw_Maskins" OrderBy="Datum desc" Where="Datum == @Datum">
        <WhereParameters>
            <asp:SessionParameter Name="Datum" SessionField="CurrentDate" Type="DateTime" />
        </WhereParameters>
    </asp:LinqDataSource>

    <asp:LinqDataSource ID="LDS_StopsData" runat="server" 
        ContextTypeName="ONTOPDataContext" EntityTypeName="" 
        Select="new (Datum, Maskin, MStopp, MStart, Kod, Kommentar, Sign)" 
        TableName="WEB_TMAvb_vw_Maskins" OrderBy="Datum desc" Where="Datum == @Datum">
        <WhereParameters>
            <asp:SessionParameter Name="Datum" SessionField="CurrentDate" Type="DateTime" />
        </WhereParameters>
    </asp:LinqDataSource>

    <asp:LinqDataSource ID="LDS_TopcboMachineData" runat="server" ContextTypeName="ONTOPDataContext" EntityTypeName="" 
        Select="new (Maskin)" TableName="TM_vws">
    </asp:LinqDataSource>

    <asp:LinqDataSource ID="LDS_ProductionData" runat="server" 
        ContextTypeName="ONTOPDataContext" EntityTypeName="" 
        Select="new (Datum, Maskin, ArtNr, Antal, Sign, TO)" 
        TableName="WEB_TPIn_vw_Maskins" OrderBy="Datum desc" Where="Datum == @Datum">
        <WhereParameters>
            <asp:SessionParameter Name="Datum" SessionField="CurrentDate" Type="DateTime" />
        </WhereParameters>
    </asp:LinqDataSource>

    <asp:LinqDataSource ID="LDS_TopDataList" runat="server" ContextTypeName="DataClassesDataContext" EntityTypeName="" 
        TableName="QOPAllas" OrderBy="Datum desc" Where="MaskinBas == @MaskinBas">
        <WhereParameters>
            <asp:ControlParameter ControlID="cboMachine" Name="MaskinBas" 
                PropertyName="SelectedValue" Type="String" />
        </WhereParameters>
    </asp:LinqDataSource>
</asp:Content>